apply plugin: 'com.android.library'

android {
    compileSdkVersion rootProject.ext.android["compileSdkVersion"]

    compileOptions {
        targetCompatibility JavaVersion.VERSION_1_8
        sourceCompatibility JavaVersion.VERSION_1_8
    }
    defaultConfig {
        minSdkVersion rootProject.ext.android["minSdkVersion"]
        targetSdkVersion rootProject.ext.android["targetSdkVersion"]
        versionCode 1
        versionName "1.0"

        consumerProguardFiles 'proguard-rules.pro'
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_7
        targetCompatibility JavaVersion.VERSION_1_7
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

    lintOptions {
        abortOnError false
    }

}

dependencies {
    //发布到bintray时，要写成compile才行
    implementation "com.billy.android:pools:0.0.6"
    compileOnly rootProject.ext.dependencies["appcompat-v7"]
    compileOnly project(':android_internal')
}

sourceCompatibility = 1.7
targetCompatibility = 1.7

ext {
    bintrayRepo = 'android'
    bintrayName = 'cc'

    publishedGroupId = 'com.billy.android'
    libraryName = 'CC'
    artifact = 'cc'

    libraryDescription = 'android component caller'

    siteUrl = 'https://github.com/luckybilly/CC'
    gitUrl = 'git@github.com:luckybilly/CC.git'

    libraryVersion = '2.1.6'

    developerId = 'billy'
    developerName = 'billy'
    developerEmail = 'okkanan@hotmail.com'

    licenseName = 'The Apache Software License, Version 2.0'
    licenseUrl = 'http://www.apache.org/licenses/LICENSE-2.0.txt'
    allLicenses = ["Apache-2.0"]
}

apply from: rootProject.file('bintray.gradle')
